'use strict';
var setting = require('../services/settingService.js');
const { body } = require('express-validator')

exports.validate = (method) => {
  switch (method) {
    case 'addSetting': {
     return [
        body('name', 'Name is required.').not().isEmpty(),
       ]
    }
  }
}

const { validationResult } = require('express-validator');

exports.addSetting = function(req, res){
  const errors = validationResult(req);
  if (!errors.isEmpty()){
    res.status(422).json({ errors: errors.array() });
    return;
  }
  setting.addSetting(req.headers.authorization,req.body,function(err, result){
    if (err)
      res.send(err);
      res.json(result);
  });
};

  exports.getSetting = function(req, res){
    setting.getSetting(req.headers.authorization,req.body.id,function(err, result){
      if (err)
        res.send(err);
        res.json(result);
    });
};