'use strict';
var vatCode = require('../services/vatCodeService.js');
const { body } = require('express-validator')


const { validationResult } = require('express-validator');

exports.addVatCode = function(req, res){
  vatCode.addVatCode(req.headers.authorization,req.body,function(err, result){
    if (err)
      res.send(err);
      res.json(result);
  });
};

exports.editVatCode = function(req, res){
  vatCode.editVatCode(req.headers.authorization,req.body,function(err, result){
    if (err)
      res.send(err);
      res.json(result);
  });
};

exports.listVatCodes = function(req, res){
  vatCode.listVatCodes(req.headers.authorization,req.body,function(err, result){
    if (err)
      res.send(err);
      res.json(result);
  });
};

exports.getVatCode = function(req, res){
  vatCode.getVatCode(req.headers.authorization,req.body.id,function(err, result){
    if (err)
      res.send(err);
      res.json(result);
  });
};

exports.deleteVatCode = function(req, res){
  vatCode.deleteVatCode(req.headers.authorization,req.body.id,function(err, result){
    if (err)
      res.send(err);
      res.json(result);
  });
};