'category strict';
var categoryModel = require('../models/categoryModel.js');
//demo object constructor
var category = function(){

};

category.addCategory =  async function(authorization,body,result){
    const res = await categoryModel.addCategory(authorization,body);
    result(null, res);
}

category.editCategory =  async function(authorization,body,result){
    const res = await categoryModel.editCategory(authorization,body);
    result(null, res);
}

category.listCategories =  async function(authorization,body,result){
    const res = await categoryModel.listCategories(authorization,body);
    result(null, res);
}

category.getCategory =  async function(authorization,id,result){
    const res = await categoryModel.getCategory(authorization,id);
    result(null, res);
}

category.deleteCategory =  async function(authorization,id,result){
    const res = await categoryModel.deleteCategory(authorization,id);
    result(null, res);
}

module.exports= category;