'user strict';
var sql = require('./../../conf/db.js');
var userDefinedFunction = require('../../lib/user_defined_function.js');
var jwt = require('jsonwebtoken');
var logs = function(use){

};
logs.addLogs = async function(authorization,body) {
    return new Promise((resolve) => {
        if (authorization && authorization.startsWith('Bearer')) {
            token = authorization.slice(7, authorization.length);
        }
        else{
            token='';
        }
        jwt.verify(token, 'secret', function(err, res) {
            if(!err){
                var createdDate = userDefinedFunction.databaseFormat();
                        
                sql.query("INSERT INTO `logs`( `added_by`,`type`, `message`,  `json_data`, `created_at`, `updated_at`) VALUES ('"+body.added_by+"', '"+body.type+"' , '"+body.message+"' ,'"+body.json_data+"','"+createdDate+"','"+createdDate+"')",function(errs,resss){
                        if(!errs){
                            response = {
                                'status':'success',
                                'message':'Logs added successfully',
                            }
                        }
                        else {                                    
                            response = {
                                'status': 'fail',
                                'message': 'failed to add account',
                            }                                        
                        }
                        resolve(response)
                    });
                }
            else{
                response = {
                    'status': 'TokenExpiredError',
                    'message': 'Token expired',
                }
                resolve(response)
            }            
        }); 
    });
} 

logs.listLogs = async function(authorization,body) {
    return new Promise((resolve) => {
        if (authorization && authorization.startsWith('Bearer')) {
            token = authorization.slice(7, authorization.length);
        }
        else{
            token='';
        }
        jwt.verify(token, 'secret', function(err, res) {
            if(!err){                
                var search='1 AND ';
                if(body.user_id)
                    search+="user_id = '"+body.user_id+"' AND "
                if(body.account_number)
                    search+="account_number LIKE '%"+body.account_number.trim()+"%' AND "
                if(body.name)
                    search+="name LIKE '%"+body.name.trim()+"%' AND "
                if(body.account_type)
                    search+="account_type LIKE '%"+body.account_type.trim()+"%' AND "

                if(body.orderBy==undefined)
                {
                    body.orderBy=1
                    body.sort='desc';
                }

                //console.log("SELECT * from logs WHERE "+search+" is_deleted='0' order by "+body.orderBy+" "+body.sort)

                sql.query("SELECT * from logs WHERE "+search+" is_deleted='0' order by "+body.orderBy+" "+body.sort,function(errss,ress){
                        if(ress){    
                            response = {
                                'status':'success',
                                data:ress,
                            }
                        }
                        else {                                    
                            response = {
                                'status': 'fail',
                                'message': 'error to list logs',
                            }                                        
                        }
                    resolve(response)
                });
            }
            else{
                response = {
                    'status': 'TokenExpiredError',
                    'message': 'Token expired',
                }
                resolve(response)
            }            
        }); 
    });
} 



module.exports= logs;