'user strict';
var sql = require('./../../conf/db.js');
var userDefinedFunction = require('../../lib/user_defined_function.js');
const bcrypt = require('bcrypt');
var jwt = require('jsonwebtoken');
var fileUpload = require('express-fileupload');
const saltRounds = 10;
var passwordHash;
var setting = function(use){

};

//Add setting function
setting.addSetting = async function(authorization,body) {
    return new Promise((resolve) => {
        if (authorization && authorization.startsWith('Bearer')) {
            token = authorization.slice(7, authorization.length);
        }
        else{
            token='';
        }
        jwt.verify(token, 'secret', function(err, decoded) { 
            if(!err){
                var query;
                if(body.id)
                    query="UPDATE settings SET name='"+body.name+"',email='"+body.email+"' WHERE id='"+body.id+"'";
                else
                    query="INSERT INTO settings (name,email) VALUES ('"+body.name+"','"+body.email+"')";

                // query="INSERT INTO settings (name, email) VALUES ('"+body.name+"','"+body.email+"') ON DUPLICATE KEY UPDATE name='"+body.name+"',email='"+body.email+"'";

                sql.query(query,function(errs,res){
                    if(!errs){    
                        response = {
                            'status':'success',
                            'message':'Successfully updated the site setting',
                        }
                    }
                    else{
                        response = {
                            'status': 'error',
                            data: errs,
                        }
                    }
                    resolve(response)
                });
            }
            else{
                response = {
                    'status': 'TokenExpiredError',
                    'message': 'Token expired',
                }
                resolve(response)
            }            
        }); 
    });
} 

//Get setting function
setting.getSetting = async function(authorization,id) {
    return new Promise((resolve) => {
        if (authorization && authorization.startsWith('Bearer')) {
            token = authorization.slice(7, authorization.length);
        }
        else{
            token='';
        }
        jwt.verify(token, 'secret', function(err, decoded) {
            if(!err){
                sql.query("SELECT * FROM settings ORDER BY id DESC",function(errs,res){
                    if(!errs){    
                        response = {
                            'status':'success',
                            'message':'Successfully get the site setting',
                            data:res,
                        }
                    }
                    else{
                        response = {
                            'status': 'error',
                            data: errs,
                        }
                    }
                    resolve(response)
                });
            }
            else{
                response = {
                    'status': 'TokenExpiredError',
                    'message': 'Token expired',
                }
                resolve(response)
            }            
        }); 
    });
} 
module.exports= setting;