'user strict';
var planModel = require('../models/planModel.js');
//demo object constructor
var plan = function(use){

};

plan.plan_list =  async function(authorization,body,result){
    const res = await planModel.plan_list(authorization,body);
    result(null, res);
}

plan.loadPlans =  async function(result){
    const res = await planModel.loadPlans();
    result(null, res);
}

plan.get_plan =  async function(authorization,id,result){
    const res = await planModel.get_plan(authorization,id);
    result(null, res);
}

plan.getUserPlans =  async function(authorization,body,result){
    const res = await planModel.getUserPlans(authorization,body);
    result(null, res);
}

plan.getUserPlansLogs =  async function(authorization,body,result){
    const res = await planModel.getUserPlansLogs(authorization,body);
    result(null, res);
}

plan.addUserPlan =  async function(authorization,body,result){
    const res = await planModel.addUserPlan(authorization,body);
    result(null, res);
}

plan.getCurrentPlan =  async function(authorization,id,result){
    const res = await planModel.getCurrentPlan(authorization,id);
    result(null, res);
}

plan.getPlanHistory =  async function(authorization,id,result){
    const res = await planModel.getPlanHistory(authorization,id);
    result(null, res);
}

plan.selectPlan =  async function(id,result){
    const res = await planModel.selectPlan(id);
    result(null, res);
}

plan.add_plan =  async function(authorization,body,result){
    const res = await planModel.add_plan(authorization,body);
    result(null, res);
}

plan.savePlanUser =  async function(body,result){
    const res = await planModel.savePlanUser(body);
    result(null, res);
}

plan.update_plan =  async function(authorization,body,result){
    const res = await planModel.update_plan(authorization,body);
    result(null, res);
}

plan.update_user_plan =  async function(authorization,body,result){
    const res = await planModel.update_user_plan(authorization,body);
    result(null, res);
}

plan.delete_plan =  async function(authorization,id,result){
    const res = await planModel.delete_plan(authorization,id);
    result(null, res);
}

plan.delete_user_plan =  async function(authorization,body,result){
    const res = await planModel.delete_user_plan(authorization,body);
    result(null, res);
}

module.exports= plan;